[med-svn] [Git][med-team/allelecount][upstream] New upstream version 4.2.1

Nilesh Patra gitlab at salsa.debian.org
Sat Nov 21 12:06:56 GMT 2020



Nilesh Patra pushed to branch upstream at Debian Med / allelecount


Commits:
77e90fde by Nilesh Patra at 2020-11-21T17:29:52+05:30
New upstream version 4.2.1
- - - - -


19 changed files:

- CHANGES.md
- Dockerfile
- README.md
- build/opt-build.sh
- c/src/alleleCounter.c
- c/src/bam_access.c
- c/src/bam_access.h
- c/tests/bam_access_tests.c
- c/tests/minunit.h
- c/tests/runtests.sh
- perl/Makefile.PL
- perl/bin/alleleCounter.pl
- perl/lib/Sanger/CGP/AlleleCount.pm
- perl/lib/Sanger/CGP/AlleleCount/Genotype.pm
- perl/t/1_pm_compile.t
- perl/t/2_pl_compile.t
- perl/t/genotype.t
- prerelease.sh
- setup.sh


Changes:

=====================================
CHANGES.md
=====================================
@@ -1,5 +1,11 @@
 # CHANGES
 
+## v4.2.1
+
+* Update so docker and native install use same install scripts behind the scenes
+* Docker now actually has htslib 1.11
+* htslib compiled with libdeflate for improved performance
+
 ## v4.2.0
 
 * Updated to hstlib 1.11


=====================================
Dockerfile
=====================================
@@ -1,32 +1,33 @@
-FROM  ubuntu:16.04 as builder
+FROM  ubuntu:20.04 as builder
 
 USER  root
 
 # ALL tool versions used by opt-build.sh
-ENV VER_HTSLIB="1.7"
+# need to keep in sync with setup.sh
+ENV VER_HTSLIB="1.11"
+ENV VER_LIBDEFLATE="v1.6"
 
 RUN apt-get -yq update
-RUN apt-get install -yq --no-install-recommends \
-build-essential \
-apt-transport-https \
-curl \
-ca-certificates \
-make \
-bzip2 \
-gcc \
-locales \
-curl \
-wget \
-libtasn1-dev \
-libgnutls-dev \
-nettle-dev \
-libgmp-dev \
-libp11-kit-dev \
-zlib1g-dev \
-libbz2-dev \
-liblzma-dev \
-libcurl4-gnutls-dev \
-libncurses5-dev
+RUN apt-get install -yq --no-install-recommends
+RUN apt-get install -yq --no-install-recommends build-essential
+RUN apt-get install -yq --no-install-recommends apt-transport-https
+RUN apt-get install -yq --no-install-recommends curl
+RUN apt-get install -yq --no-install-recommends ca-certificates
+RUN apt-get install -yq --no-install-recommends make
+RUN apt-get install -yq --no-install-recommends bzip2
+RUN apt-get install -yq --no-install-recommends gcc
+RUN apt-get install -yq --no-install-recommends locales
+RUN apt-get install -yq --no-install-recommends curl
+RUN apt-get install -yq --no-install-recommends wget
+RUN apt-get install -yq --no-install-recommends libtasn1-dev
+RUN apt-get install -yq --no-install-recommends nettle-dev
+RUN apt-get install -yq --no-install-recommends libgmp-dev
+RUN apt-get install -yq --no-install-recommends libp11-kit-dev
+RUN apt-get install -yq --no-install-recommends zlib1g-dev
+RUN apt-get install -yq --no-install-recommends libbz2-dev
+RUN apt-get install -yq --no-install-recommends liblzma-dev
+RUN apt-get install -yq --no-install-recommends libcurl4-gnutls-dev
+RUN apt-get install -yq --no-install-recommends libncurses5-dev
 
 RUN locale-gen en_US.UTF-8
 RUN update-locale LANG=en_US.UTF-8
@@ -46,11 +47,10 @@ RUN bash build/opt-build.sh $OPT
 COPY . .
 RUN bash build/opt-build-local.sh $OPT
 
-FROM ubuntu:16.04
+FROM ubuntu:20.04
 
 LABEL maintainer="cgphelp at sanger.ac.uk" \
       uk.ac.sanger.cgp="Cancer, Ageing and Somatic Mutation, Wellcome Trust Sanger Institute" \
-      version="v1.0.0" \
       description="alleleCount docker"
 
 RUN apt-get -yq update


=====================================
README.md
=====================================
@@ -125,7 +125,7 @@ The docker images are know to work correctly after import into a singularity ima
 ## LICENCE
 
 ```
-Copyright (c) 2014-2018 Genome Research Ltd.
+Copyright (c) 2014-2020 Genome Research Ltd.
 
 Author: CASM/Cancer IT <cgphelp at sanger.ac.uk>
 


=====================================
build/opt-build.sh
=====================================
@@ -49,19 +49,33 @@ export MANPATH=`echo $INST_PATH/man:$INST_PATH/share/man:$MANPATH | perl -pe 's/
 export PERL5LIB=`echo $INST_PATH/lib/perl5:$PERL5LIB | perl -pe 's/:\$//;'`
 set -u
 
-## grab cpanm 
-curl -L http://cpanmin.us | perl - App::cpanminus
-CPANM=`which cpanm`
+## INSTALL CPANMINUS
+curl -sSL https://cpanmin.us/ > $SETUP_DIR/cpanm
+perl $SETUP_DIR/cpanm --no-wget --no-interactive --notest --mirror http://cpan.metacpan.org -l $INST_PATH App::cpanminus
+rm -f $SETUP_DIR/cpanm
 
 echo "Installing Perl base deps ..."
 if [ ! -e $SETUP_DIR/basePerlDeps.success ]; then
   perlmods=( "ExtUtils::CBuilder" "Module::Build~0.42" "Const::Fast" "File::Which" "LWP::UserAgent")
   for i in "${perlmods[@]}" ; do
-    $CPANM --no-interactive --notest --mirror http://cpan.metacpan.org -l $INST_PATH $i
+    cpanm --no-interactive --notest --mirror http://cpan.metacpan.org -l $INST_PATH $i
   done
   touch $SETUP_DIR/basePerlDeps.success
 fi
 
+## libdeflate
+if [ ! -e $SETUP_DIR/libdeflate.success ]; then
+  rm -rf tmp_deflate
+  mkdir -p tmp_deflate
+  curl -sSL --retry 10 https://github.com/ebiggers/libdeflate/archive/${VER_LIBDEFLATE}.tar.gz > distro.tar.gz
+  tar --strip-components 1 -C tmp_deflate -zxf distro.tar.gz
+  cd tmp_deflate
+  PREFIX=$INST_PATH make -j$CPU CFLAGS="-fPIC -O3" install
+  cd ../
+  rm -rf distro.* tmp_deflate
+  touch $SETUP_DIR/libdeflate.success
+fi
+
 SOURCE_HTSLIB="https://github.com/samtools/htslib/releases/download/${VER_HTSLIB}/htslib-${VER_HTSLIB}.tar.bz2"
 
 cd $SETUP_DIR
@@ -78,7 +92,9 @@ if [ ! -e $SETUP_DIR/htslib.success ]; then
   mkdir -p htslib
   tar --strip-components 1 -C htslib -jxf htslib-${VER_HTSLIB}.tar.bz2
   cd htslib
-  ./configure --enable-plugins --enable-libcurl --prefix=$INST_PATH
+  ./configure --enable-plugins --enable-libcurl --with-libdeflate --prefix=$INST_PATH \
+  CPPFLAGS="-I$INST_PATH/include" \
+  LDFLAGS="-L${INST_PATH}/lib -Wl,-R${INST_PATH}/lib"
   make -j$CPU
   make install
   cd $SETUP_DIR


=====================================
c/src/alleleCounter.c
=====================================
@@ -1,5 +1,5 @@
 /**   LICENSE
-* Copyright (c) 2014-2018 Genome Research Ltd.
+* Copyright (c) 2014-2020 Genome Research Ltd.
 *
 * Author: CASM/Cancer IT <cgphelp at sanger.ac.uk>
 *


=====================================
c/src/bam_access.c
=====================================
@@ -1,5 +1,5 @@
 /**   LICENSE
-* Copyright (c) 2014-2018 Genome Research Ltd.
+* Copyright (c) 2014-2020 Genome Research Ltd.
 *
 * Author: CASM/Cancer IT <cgphelp at sanger.ac.uk>
 *


=====================================
c/src/bam_access.h
=====================================
@@ -1,5 +1,5 @@
 /**   LICENSE
-* Copyright (c) 2014-2018 Genome Research Ltd.
+* Copyright (c) 2014-2020 Genome Research Ltd.
 *
 * Author: CASM/Cancer IT <cgphelp at sanger.ac.uk>
 *


=====================================
c/tests/bam_access_tests.c
=====================================
@@ -1,5 +1,5 @@
 /**   LICENSE
-* Copyright (c) 2014-2018 Genome Research Ltd.
+* Copyright (c) 2014-2020 Genome Research Ltd.
 *
 * Author: CASM/Cancer IT <cgphelp at sanger.ac.uk>
 *


=====================================
c/tests/minunit.h
=====================================
@@ -1,22 +1,22 @@
 /**   LICENSE
-* Copyright (c) 2014-2018 Genome Research Ltd. 
-* 
+* Copyright (c) 2014-2020 Genome Research Ltd.
+*
 * Author: CASM/Cancer IT <cgphelp at sanger.ac.uk>
-* 
-* This file is part of alleleCount. 
-* 
-* alleleCount is free software: you can redistribute it and/or modify it under 
-* the terms of the GNU Affero General Public License as published by the Free 
-* Software Foundation; either version 3 of the License, or (at your option) any 
-* later version. 
-* 
-* This program is distributed in the hope that it will be useful, but WITHOUT 
-* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS 
-* FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more 
-* details. 
-* 
-* You should have received a copy of the GNU Affero General Public License 
-* along with this program. If not, see <http://www.gnu.org/licenses/>. 
+*
+* This file is part of alleleCount.
+*
+* alleleCount is free software: you can redistribute it and/or modify it under
+* the terms of the GNU Affero General Public License as published by the Free
+* Software Foundation; either version 3 of the License, or (at your option) any
+* later version.
+*
+* This program is distributed in the hope that it will be useful, but WITHOUT
+* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+* FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
+* details.
+*
+* You should have received a copy of the GNU Affero General Public License
+* along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
 
 #undef NDEBUG


=====================================
c/tests/runtests.sh
=====================================
@@ -1,22 +1,22 @@
 ########## LICENSE ##########
-# Copyright (c) 2014-2018 Genome Research Ltd. 
-# 
+# Copyright (c) 2014-2020 Genome Research Ltd.
+#
 # Author: CASM/Cancer IT <cgphelp at sanger.ac.uk>
-# 
-# This file is part of alleleCount. 
-# 
-# alleleCount is free software: you can redistribute it and/or modify it under 
-# the terms of the GNU Affero General Public License as published by the Free 
-# Software Foundation; either version 3 of the License, or (at your option) any 
-# later version. 
-# 
-# This program is distributed in the hope that it will be useful, but WITHOUT 
-# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS 
-# FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more 
-# details. 
-# 
-# You should have received a copy of the GNU Affero General Public License 
-# along with this program. If not, see <http://www.gnu.org/licenses/>. 
+#
+# This file is part of alleleCount.
+#
+# alleleCount is free software: you can redistribute it and/or modify it under
+# the terms of the GNU Affero General Public License as published by the Free
+# Software Foundation; either version 3 of the License, or (at your option) any
+# later version.
+#
+# This program is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+# FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
+# details.
+#
+# You should have received a copy of the GNU Affero General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
 ###########################
 
 echo "Running unit tests:"


=====================================
perl/Makefile.PL
=====================================
@@ -1,7 +1,7 @@
 #!/usr/bin/perl
 
 ##########LICENCE##########
-# Copyright (c) 2014-2018 Genome Research Ltd.
+# Copyright (c) 2014-2020 Genome Research Ltd.
 #
 # Author: CASM/Cancer IT <cgphelp at sanger.ac.uk>
 #


=====================================
perl/bin/alleleCounter.pl
=====================================
@@ -1,7 +1,7 @@
 #!/usr/bin/perl
 
 ##########LICENCE##########
-# Copyright (c) 2014-2018 Genome Research Ltd.
+# Copyright (c) 2014-2020 Genome Research Ltd.
 #
 # Author: CASM/Cancer IT <cgphelp at sanger.ac.uk>
 #


=====================================
perl/lib/Sanger/CGP/AlleleCount.pm
=====================================
@@ -1,7 +1,7 @@
 package Sanger::CGP::AlleleCount;
 
 ##########LICENCE##########
-# Copyright (c) 2014-2018 Genome Research Ltd.
+# Copyright (c) 2014-2020 Genome Research Ltd.
 #
 # Author: CASM/Cancer IT <cgphelp at sanger.ac.uk>
 #
@@ -25,7 +25,7 @@ package Sanger::CGP::AlleleCount;
 use strict;
 
 use base 'Exporter';
-our $VERSION = '4.2.0';
+our $VERSION = '4.2.1';
 our @EXPORT = qw($VERSION);
 
 1;


=====================================
perl/lib/Sanger/CGP/AlleleCount/Genotype.pm
=====================================
@@ -1,7 +1,7 @@
 package Sanger::CGP::AlleleCount::Genotype;
 
 ##########LICENCE##########
-# Copyright (c) 2014-2018 Genome Research Ltd.
+# Copyright (c) 2014-2020 Genome Research Ltd.
 #
 # Author: CASM/Cancer IT <cgphelp at sanger.ac.uk>
 #


=====================================
perl/t/1_pm_compile.t
=====================================
@@ -1,21 +1,21 @@
 ##########LICENCE##########
-# Copyright (c) 2014-2018 Genome Research Ltd. 
-#  
+# Copyright (c) 2014-2020 Genome Research Ltd.
+#
 # Author: CASM/Cancer IT <cgphelp at sanger.ac.uk>
-#  
-# This file is part of alleleCount. 
-#  
-# alleleCount is free software: you can redistribute it and/or modify it under 
-# the terms of the GNU Affero General Public License as published by the Free 
-# Software Foundation; either version 3 of the License, or (at your option) any 
-# later version. 
-#  
-# This program is distributed in the hope that it will be useful, but WITHOUT 
-# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS 
-# FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more 
-# details. 
-#  
-# You should have received a copy of the GNU Affero General Public License 
+#
+# This file is part of alleleCount.
+#
+# alleleCount is free software: you can redistribute it and/or modify it under
+# the terms of the GNU Affero General Public License as published by the Free
+# Software Foundation; either version 3 of the License, or (at your option) any
+# later version.
+#
+# This program is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+# FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
+# details.
+#
+# You should have received a copy of the GNU Affero General Public License
 # along with this program. If not, see <http://www.gnu.org/licenses/>.
 ##########LICENCE##########
 


=====================================
perl/t/2_pl_compile.t
=====================================
@@ -1,21 +1,21 @@
 ##########LICENCE##########
-# Copyright (c) 2014-2018 Genome Research Ltd. 
-#  
+# Copyright (c) 2014-2020 Genome Research Ltd.
+#
 # Author: CASM/Cancer IT <cgphelp at sanger.ac.uk>
-#  
-# This file is part of alleleCount. 
-#  
-# alleleCount is free software: you can redistribute it and/or modify it under 
-# the terms of the GNU Affero General Public License as published by the Free 
-# Software Foundation; either version 3 of the License, or (at your option) any 
-# later version. 
-#  
-# This program is distributed in the hope that it will be useful, but WITHOUT 
-# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS 
-# FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more 
-# details. 
-#  
-# You should have received a copy of the GNU Affero General Public License 
+#
+# This file is part of alleleCount.
+#
+# alleleCount is free software: you can redistribute it and/or modify it under
+# the terms of the GNU Affero General Public License as published by the Free
+# Software Foundation; either version 3 of the License, or (at your option) any
+# later version.
+#
+# This program is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+# FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
+# details.
+#
+# You should have received a copy of the GNU Affero General Public License
 # along with this program. If not, see <http://www.gnu.org/licenses/>.
 ##########LICENCE##########
 


=====================================
perl/t/genotype.t
=====================================
@@ -1,5 +1,5 @@
 ##########LICENCE##########
-# Copyright (c) 2014-2018 Genome Research Ltd.
+# Copyright (c) 2014-2020 Genome Research Ltd.
 #
 # Author: CASM/Cancer IT <cgphelp at sanger.ac.uk>
 #


=====================================
prerelease.sh
=====================================
@@ -1,7 +1,7 @@
 #!/bin/bash
 
 ##########LICENCE##########
-# Copyright (c) 2014-2018 Genome Research Ltd.
+# Copyright (c) 2014-2020 Genome Research Ltd.
 #
 # Author: CASM/Cancer IT <cgphelp at sanger.ac.uk>
 #


=====================================
setup.sh
=====================================
@@ -1,7 +1,7 @@
 #!/bin/bash
 
 ##########LICENCE##########
-# Copyright (c) 2014-2018 Genome Research Ltd.
+# Copyright (c) 2014-2020 Genome Research Ltd.
 #
 # Author: CASM/Cancer IT <cgphelp at sanger.ac.uk>
 #
@@ -21,52 +21,18 @@
 # along with this program. If not, see <http://www.gnu.org/licenses/>.
 ##########LICENCE##########
 
-SOURCE_HTSLIB="https://github.com/samtools/htslib/releases/download/1.11/htslib-1.11.tar.bz2"
+# ALL tool versions used by opt-build.sh
+# need to keep in sync with Dockerfile
+export VER_HTSLIB="1.11"
+export VER_LIBDEFLATE="v1.6"
 
-EXP_SAMV="1.3.1"
-
-version_gt () {
-  test $(printf '%s\n' $@ | sort -V | head -n 1) == "$1";
-}
-
-get_distro () {
-  EXT=""
-  DECOMP=""
-  if [[ $2 == *.tar.bz2* ]] ; then
-    EXT="tar.bz2"
-    DECOMP="-j"
-  elif [[ $2 == *.tar.gz* ]] ; then
-    EXT="tar.gz"
-    DECOMP="-z"
-  else
-    echo "I don't understand the file type for $1"
-    exit 1
-  fi
-
-  if hash curl 2>/dev/null; then
-    curl -sS -o $1.$EXT -L $2
-  else
-    wget -nv -O $1.$EXT $2
-  fi
-  mkdir -p $1
-  tar --strip-components 1 -C $1 $DECOMP -xf $1.$EXT
-}
-
-get_file () {
-# output, source
-  if hash curl 2>/dev/null; then
-    curl -sS -o $1 -L $2
-  else
-    wget -nv -O $1 $2
-  fi
-}
 
 if [[ ($# -ne 1 && $# -ne 2) ]] ; then
   echo "Please provide an installation path and optionally perl lib paths to allow, e.g."
   echo "  ./setup.sh /opt/myBundle"
   echo "OR all elements versioned:"
-  echo "  ./setup.sh /opt/cgpVcf-X.X.X /opt/PCAP-X.X.X/lib/perl"
-  exit 0
+  echo "  ./setup.sh /opt/cgpPinel-X.X.X /opt/cgpVcf-X.X.X/lib/perl:/opt/PCAP-core-X.X.X/lib/perl"
+  exit 1
 fi
 
 INST_PATH=$1
@@ -75,17 +41,6 @@ if [[ $# -eq 2 ]] ; then
   CGP_PERLLIBS=$2
 fi
 
-
-CPU=`grep -c ^processor /proc/cpuinfo`
-if [ $? -eq 0 ]; then
-  if [ "$CPU" -gt "6" ]; then
-    CPU=6
-  fi
-else
-  CPU=1
-fi
-echo "Max compilation CPUs set to $CPU"
-
 # get current directory
 INIT_DIR=`pwd`
 
@@ -98,7 +53,6 @@ INST_PATH=`pwd`
 cd $INIT_DIR
 
 # make sure that build is self contained
-unset PERL5LIB
 PERLROOT=$INST_PATH/lib/perl5
 
 # allows user to knowingly specify other PERL5LIB areas.
@@ -108,91 +62,17 @@ else
   export PERL5LIB="$PERLROOT:$CGP_PERLLIBS"
 fi
 
-export PATH=$INST_PATH/bin:$PATH
-
-#create a location to build dependencies
-SETUP_DIR=$INIT_DIR/install_tmp
-mkdir -p $SETUP_DIR
-
-## grab cpanm and stick in workspace, then do a self upgrade into bin:
-get_file $SETUP_DIR/cpanm https://cpanmin.us/
-perl $SETUP_DIR/cpanm -l $INST_PATH App::cpanminus
-CPANM=`which cpanm`
-
-if [ -e $SETUP_DIR/basePerlDeps.success ]; then
-  echo "Previously installed base perl deps..."
-else
-  perlmods=( "ExtUtils::CBuilder" "Module::Build~0.42" "Const::Fast" "File::Which" "LWP::UserAgent")
-  for i in "${perlmods[@]}" ; do
-    $CPANM --no-interactive --notest --mirror http://cpan.metacpan.org -l $INST_PATH $i
-  done
-  touch $SETUP_DIR/basePerlDeps.success
-fi
-
-cd $SETUP_DIR
-
-if [ -e $SETUP_DIR/htslibGet.success ]; then
-  echo " already staged ...";
-else
-  echo
-  cd $SETUP_DIR
-  get_distro "htslib" $SOURCE_HTSLIB
-  touch $SETUP_DIR/htslibGet.success
-fi
-
-echo -n "Building htslib ..."
-if [ -e $SETUP_DIR/htslib.success ]; then
-  echo " previously installed ...";
-else
-  echo
-  mkdir -p htslib
-  tar --strip-components 1 -C htslib -jxf htslib.tar.bz2
-  cd htslib
-  ./configure --enable-plugins --enable-libcurl --prefix=$INST_PATH
-  make -j$CPU
-  cd $SETUP_DIR
-  touch $SETUP_DIR/htslib.success
-fi
-
-export HTSLIB="$SETUP_DIR/htslib"
-
-echo -n "Building alleleCounter ..."
-if [ -e "$SETUP_DIR/alleleCounter.success" ]; then
-  echo " previously installed ...";
-else
-  cd $INIT_DIR
-  mkdir -p $INIT_DIR/c/bin
-  make -C c clean
-  make -C c -j$CPU
-  cp $INIT_DIR/c/bin/alleleCounter $INST_PATH/bin/.
-  touch $SETUP_DIR/alleleCounter.success
-fi
-
-cd $INIT_DIR/perl
-
-echo -n "Installing Perl prerequisites ..."
-if ! ( perl -MExtUtils::MakeMaker -e 1 >/dev/null 2>&1); then
-    echo
-    echo "WARNING: Your Perl installation does not seem to include a complete set of core modules.  Attempting to cope with this, but if installation fails please make sure that at least ExtUtils::MakeMaker is installed.  For most users, the best way to do this is to use your system's package manager: apt, yum, fink, homebrew, or similar."
-fi
-$CPANM --no-interactive --notest --mirror http://cpan.metacpan.org -l $INST_PATH/ --installdeps $INIT_DIR/perl/. < /dev/null
-
-echo -n "Installing alleleCount ..."
-cd $INIT_DIR/perl
-perl Makefile.PL INSTALL_BASE=$INST_PATH
-make
-make test
-make install
+export OPT=$INST_PATH
 
-# cleanup all junk
-rm -rf $SETUP_DIR
+bash build/opt-build.sh $INST_PATH
+bash build/opt-build-local.sh $INST_PATH
 
 echo
 echo
-echo "Please add the following to beginning of path:"
+echo "Please add the following to beginning of PATH:"
 echo "  $INST_PATH/bin"
-echo "Please add the following to beginning of PERL5LIB:"
-echo "  $PERLROOT"
+echo "Please add the following to beginning of LD_LIBRARY_PATH:"
+echo "  $INST_PATH/lib"
 echo
 
 exit 0



View it on GitLab: https://salsa.debian.org/med-team/allelecount/-/commit/77e90fde06749b7129ddaeb6853927d434708189

-- 
View it on GitLab: https://salsa.debian.org/med-team/allelecount/-/commit/77e90fde06749b7129ddaeb6853927d434708189
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20201121/40467905/attachment-0001.html>


More information about the debian-med-commit mailing list